Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80146 - RFE: need a tool to nuke a channel from the DB
Summary: RFE: need a tool to nuke a channel from the DB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 17:33 UTC by Todd Warner
Modified: 2007-07-31 19:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-10 20:04:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Todd Warner 2002-12-20 17:33:42 UTC
The request came in to be able to delete a synced channel. Any channel.
This, ideally, would include removing the channel from the database,
removing any package or errata or any other meta-data that is unique to that
channel... and possibly (commandline option) blow away the rpm itself (if it is
unique of course).

Comment 1 Mihai Ibanescu 2003-01-09 21:40:05 UTC
Resolution: it's going to be a python script for satellite-1.1.1, and we'll push
some schema to make this easier for Titanl.

Comment 2 Greg DeKoenigsberg 2003-01-10 17:21:18 UTC
Adding to Titan Lite Point Release for web team to track.

Comment 3 Mihai Ibanescu 2003-01-13 20:00:33 UTC
Should be implemented in rhns-satellite-tools 1.2.6.1-7 (in the satellite
branch), plus the HEAD branch. It's called rmchannel.

RTFM for usage (yes it does have a man page). Needs testing badly, I tested it
myself but that's it.

Example:

rmchannel -c redhat-linux-i386-8.0 -c redhat-linux-i386-7.3
rmchannel -c redhat-linux-i386-8.0 -c redhat-linux-i386-7.3 --justdb
rmchannel -c redhat-linux-i386-8.0 -c redhat-linux-i386-7.3 --force

Comment 4 Todd Warner 2003-01-20 20:42:34 UTC
Wrong f*&^#ing tracking bug... moving to Satellite 1.1 Point

Comment 5 Josef Komenda 2003-02-10 20:04:30 UTC
Looks good - closing.


Note You need to log in before you can comment on or make changes to this bug.